<?php
namespace Sare;

/**
 * Frontend Pages Handler
 */
class Frontend
{

    public function __construct()
    {
        add_shortcode('sare-app-shortcode', [$this, 'render_frontend']);

        add_action('wp_footer', [$this, 'render_front_wrp']);
        add_action('wp_enqueue_scripts', [$this, 'render_frontend']);
    }

    /**
     * Render frontend app
     *
     * @param  array $atts
     * @param  string $content
     *
     * @return string
     */
    public function render_frontend($atts, $content = '')
    {
        wp_enqueue_style('sare-frontend');
        wp_enqueue_script('sare-frontend');

        $content .= '<div class="sare-frontend-app-shortcode"></div>';

        return $content;
    }
    public function render_front_wrp()
    {
        echo '<script type="text/javascript">var ajaxurl = "' . admin_url('admin-ajax.php') . '";var base_url = "' . get_site_url() . '" </script>';
        echo '<div id="sare-frontend-app"></div>';
    }
}
